Name: knfsd
Version: 1.4.7
Release: 1mdk
Summary: Kernel based NFS server.
Source0: ftp://ftp.kernel.org/pub/linux/devel/gcc/%{name}-%{version}.tar.bz2
Source1: knfsd.init
Source2: exports.5
Requires: kernel >= 2.2.7, portmap >= 4.0
Group: System Environment/Daemons
Obsoletes: nfs-server
Provides: nfs-server
Copyright: GPL
Buildroot: /var/tmp/%{name}-root
Prefix:/
ExcludeArch: armv4l

%description
This is the *new* kernel NFS server and related tools.  It provides a much
higher level of performance than the traditional Linux user-land NFS server.

%package clients
Obsoletes: nfs-server-clients
Provides: nfs-server-clients
Summary: Clients for connecting to a remote NFS server.
Group: Applications/System

%description clients
The nfs-server-clients package contains the showmount program.
Showmount queries the mount daemon on a remote host for information
about the NFS (Network File System) server on the remote host.  For
example, showmount can display the clients which are mounted on that
host.  This package is not needed to mount NFS volumes.

Install nfs-server-clients if you'd like to use the showmount tool
for querying NFS servers.

%package lock
Summary: Programs for NFS file locking.
Requires: kernel >= 2.2.5, portmap >= 4.0
Group: Applications/System

%description lock
The nfs-lock pacage contains programs which support the NFS file lock.
Install nfs-lock if you want to use file lock over NFS.

%prep
%setup -q

%build
CC="gcc $RPM_OPT_FLAGS" ./configure --enable-nfsv3
make all CC="gcc $RPM_OPT_FLAGS" OPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/sbin,/usr/{sbin,man/man8},/var/lib/nfs}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make -e install install_prefix=$RPM_BUILD_ROOT
#make -e install SBINDIR=$RPM_BUILD_ROOT/usr/sbin/ dir=$RPM_BUILD_ROOT/usr/man
#prefix=$RPM_BUILD_ROOT PREFIX=$RPM_BUILD_ROOT/ 
#(cd utils;make install prefix=$RPM_BUILD_ROOT TOP=../)
install -m 755 tools/rpcdebug/rpcdebug $RPM_BUILD_ROOT/sbin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/nfs
install -m 755 knfslock.init $RPM_BUILD_ROOT/etc/rc.d/init.d/nfslock
touch $RPM_BUILD_ROOT/var/lib/nfs/rmtab
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
install -m 644 $RPM_SOURCE_DIR/exports.5 $RPM_BUILD_ROOT/usr/man/man5/exports.5
find $RPM_BUILD_ROOT/usr/man/*/* -type f|xargs bzip2 -9
for i in `find $RPM_BUILD_ROOT/usr/man/*/* -type l`;do mv $i $i.bz2;done 
strip -sp $RPM_BUILD_ROOT/usr/sbin/* $RPM_SOURCE_DIR/sbin/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add nfs

%post lock
/sbin/chkconfig --add nfslock

%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del nfs
fi

%preun lock
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del nfslock
fi

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL KNOWNBUGS NEW README TAGS THANKS TODO linux-nfs.lsm
/sbin/rpcdebug
/usr/sbin/exportfs
/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
#/usr/sbin/rpc.statd
/usr/sbin/nfsstat
/usr/sbin/rpc.rquotad
/usr/sbin/nhfsstone
/usr/man/man8/exportfs.8.bz2
/usr/man/man8/mountd.8.bz2
/usr/man/man8/nfsd.8.bz2
/usr/man/man8/nfsstat.8.bz2
/usr/man/man8/rquotad.8.bz2
/usr/man/man8/rpc.mountd.8.bz2
/usr/man/man8/rpc.nfsd.8.bz2
/usr/man/man8/rpc.rquotad.8.bz2
%config /etc/rc.d/init.d/nfs
%config(noreplace) /var/lib/nfs/xtab
%config(noreplace) /var/lib/nfs/etab
%config(noreplace) /var/lib/nfs/rmtab
%dir /var/lib/nfs
/usr/man/man5/exports.5.bz2

%files lock
%defattr(-,root,root)
/usr/sbin/rpc.lockd
/usr/sbin/rpc.statd
/usr/man/man8/rpc.statd.8.bz2
/usr/man/man8/statd.8.bz2
%config /etc/rc.d/init.d/nfslock
%dir /var/lib/nfs

%files clients
%defattr(-,root,root)
/usr/sbin/showmount
/usr/man/man8/showmount.8.bz2

%changelog

* Tue Aug 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.4.7
- fix bogus spec (permissions, build without be root, ...)
- bzip2 man pages

* Fri May 21 1999 Sean P. Kane <kane@ca.metsci.com>
- Updated to 1.3.1
- Added documentation into files for /usr/doc

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- make the init script deal more gracefully with the restart) part

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- block devices check for the RAID systems (patch from John Ireland
  <jireland@jesus.ox.ac.uk>)
- version 1.2.2
- start more nfsd daemons by default to improve performance

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- the main package shouldn't obsolete the nfs-server-clients package. fixed.

* Wed Mar 31 1999 Preston Brown <pbrown@redhat.com>
- explicitly require portmap (bug #1902)

* Mon Mar 29 1999 Michael Johnson <johnsonm@redhat.com>
- fixed init script probe function to not respond "restart" all the time

* Mon Mar 29 1999 Preston Brown <pbrown@redhat.com>
- fixed exports man page

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- rewrite initscript so we don't have 6 [OK|FAILED] on the same line. :)

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- added exports.5 man page from old user space nfs server

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- version 1.2
- auto rebuild in the new build environment (release 4)

* Mon Feb 08 1999 Matt Wilson <msw@redhat.com>
- fixed typo in initscripts

* Wed Feb 03 1999 Cristian Gafton <gafton@redhat.com>
- put showmount in the knfsd-clients

* Mon Dec 28 1998 Cristian Gafton <gafton@redhat.com>
- added %post and %preun scripts
- build as a separate package
- buildroot
